View Issue Details

IDProjectCategoryView StatusLast Update
0012298LazarusIDEpublic2011-12-01 11:25
ReporterJonas MaebeAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSMac OS XOS Version10.5.4
Product Version0.9.27 (SVN)Product Build16874 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0012298: "Close all editor files" cannot be cancelled if there are unsaved changes
DescriptionSummary
Actions resulting in data loss should always be cancellable at every prompt, resulting in no changes for the current choice and all those that would still come after it. If you choose "Close all editor files" and then click cancel when asked to save an unsaved file, you however lose all changes.

Steps to reproduce
1) start Lazarus so it opens a default new project
2) choose File -> Close all editor files
3) click the "cancel" button in the dialog box that appears


Expected results
* after step 3, nothing should happen, i.e., the not yet closed windows should remain open and no unsaved but changed files should be lost


Actual results
* after step 3, the file is closed and the changes are lost


Notes
The dialog box should provide three buttons: Save, Don't Save, and Cancel. Save saves the file, Don't Save does not save it, and Cancel aborts the action and returns you to the IDE with everything as it was before.

You can choose whether you first start processing all documents with changes (so that if one of those is cancelled, the unchanged documents are still open), or whether you process them in an arbitrary order (so that it's possible that if you cancel somewhere in the middle, some unchanged documents may already have been closed and the user has to reopen them). The first method is slightly nicer for users, in general.
TagsNo tags attached.
Fixed in Revision28459
LazTarget1.0
WidgetsetCarbon
Attached Files

Activities

Martin Friebe

2010-11-24 16:01

manager   ~0043479

please test and close if ok.

Issue History

Date Modified Username Field Change
2008-10-05 12:44 Jonas Maebe New Issue
2008-10-05 12:44 Jonas Maebe Widgetset => Carbon
2008-10-06 13:10 Vincent Snijders LazTarget => 1.0
2008-10-06 13:10 Vincent Snijders Status new => acknowledged
2008-10-06 13:10 Vincent Snijders Target Version => 1.0.0
2010-11-24 15:38 Martin Friebe Status acknowledged => assigned
2010-11-24 15:38 Martin Friebe Assigned To => Martin Friebe
2010-11-24 16:01 Martin Friebe Fixed in Revision => 28459
2010-11-24 16:01 Martin Friebe Status assigned => resolved
2010-11-24 16:01 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-11-24 16:01 Martin Friebe Resolution open => fixed
2010-11-24 16:01 Martin Friebe Note Added: 0043479
2011-12-01 11:25 Marc Weustink Status resolved => closed